@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@100..900&display=swap');
body {
    padding: none;
    overflow-x: hidden !important;
}
.arial {
    font-family: arial;
}
.bold {
    font-weight: bold;
}
.nocopy {
    user-select: none;
}
.flex {
    display: flex;
}
.border {
    border: solid 2px black;
}
.colorWhite {
    color: white;
}
.headerTop {
    padding-left: 15px;
    margin: -10px;
    background-color: #258446;
    margin-bottom: 10px;
    gap: 65%;
    align-items: center;
}
.policeTwo {
    font-family: "Roboto Slab", serif;
}
.marginTopUn {
    margin-top: -10px;
}
.marginTopDeux {
    margin-top: -5px;
}
.marginTopTrois {
    margin-top: 0;
}
.marginTopQuatre {
    margin-top: 5px;
}
.marginTopCinq {
    margin-top: 10px;
}
.size40 {
    font-size: 40px;
}
.dropdown {
    margin-top: 30px;
    background-color: #2582bc;
    height: 50px;
    width: min-content;
    padding: 50px;
    padding-top: 20px;
    padding-bottom: 10px;
    border-radius: 5px;
    border: none;
    display: flex;
    flex-direction: row;
    gap: 15px;
}
.dropdown select{
    height: 40px;
    width: 250px;
    border-radius: 5px;
    font-family: "Roboto Slab", serif;
    font-size: 16px;
}
.dropdown button{
    height: 40px;
    width: 250px;
    border-radius: 5px;
    font-family: "Roboto Slab", serif;
    font-size: 16px;
    background-color: #258446;
    color: white;
    cursor: pointer;
}
.dropdown button:hover {
    background-color: #39ad5f;
}
.search {
    width: 300px;
    height: 28px;
    background-color: #39ad5f;
    border: none;
    color: white;
    outline-color: white;
    margin-right: 15;
    padding-left: 5px;
    font-family: "Roboto Slab", serif;
    font-size: 16px;
}
#resultSearch {
    display: none;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 20px;
    border: solid 2px black;
    border-radius: 10px;
    padding: 10px;
    padding-left: 20px;
    user-select: none;
}
#resultSearch div {
    display: flex;
    flex-direction: column;
    height: 300px;
    width: 250px;
    border: solid 2px black;
    padding: 20px;
    background-color: #2582bc;
    cursor: pointer;
}
#resultSearch div:hover {
    background-color: #319de0;
}
#resultSearch h1 {
    font-family: "Roboto Slab", serif;
    font-size: auto;
    color: white;
}
#resultSearch img {
    border-radius: 10px;
    height: 150px;
    object-fit: contain;
}
#resultSearch p {
    font-family: arial;
    margin-top: -14px;
    color: white;
}
.divChoice {
    justify-items: center;
    align-items: center;
    display: flex !important;
    flex-direction: row !important;
    margin-left: -22px;
    padding: -50px !important;
    height: min-content;
}
.divChoice button {
    height: 63px;
    margin-top: -20px;
    margin-bottom: -20px;
    width: 350px !important;
    margin-left: -20px;
    margin-right: -20px;
    background-color: white;
    cursor: pointer;
    font-size: 16px;
    font-weight: bold;
}
.divChoice:hover {
    background-color: #2582bc !important;
}
#buttonDeux {
    width: 150px;
    margin-left: 20px;
    background-color: #258446;
    color: white;
    font-size: 16px;
}
#bottomBarre {
    text-align: center;
    display: flex;
    flex-direction: row;
    position: fixed !important;
    justify-items: center;
    align-items: center;
    background-color: #2582bc;
    position: absolute;
    width: 100%;
    bottom: 0%;
    left: 0%;
    right: 0%;
    height: 80px;
    user-select: none;
    display: none;
}
#bottomBarre h1 {
    font-family: "Roboto Slab", serif;
    margin-left: 500px;
    margin-right: 15px;
    font-size: 20px;
}
#bottomBarre button {
    height: 45px;
    font-size: 20px;
    background-color: #258446;
    cursor: pointer;
    color: white;
    font-weight: bold;
    border: solid 2px black;
    border-radius: 8px;
}
#bottomBarre button:hover {
    background-color: #39ad5f;
}
#youSearch {
    font-family: arial;
    display: none;
}
#popDetail {
    height: 100%;
    width: 100%;
    position: fixed;
    background-color: rgba(62, 62, 62, 0.62);
    top: 0%;
    left: 0%;
    right: 0%;
    display: none;
}
#divDetail {
    padding: 20px;
    background-color: white;
    height: 700px;
    width: 850px;
    margin-top: 3%;
    margin-bottom: 10%;
    border: solid 8px #258446;
    border-radius: 10px;
}
#imgDetail {
    height: 190px;
    object-fit: contain;
    border-radius: 10px;
    margin-top: -35px
}
#h1Detail {
    font-family: "Roboto Slab", serif;
    margin-top: -5px;
}
#pDetail {
    margin-top: -16px; 
}
#backDetail {
    border: solid 3px black;
    border-radius: 50px;
    width: 30px;
    height: 50px;
    font-family: arial;
    margin-left: -800px;
    margin-top: 0;
    cursor: pointer;
    user-select: none;
    font-size: 32px;
}
#backDetail:hover {
    color: #258446;
    border: solid 5px #258446;
}
#buttonDetail {
    height: 40px;
    margin-top: 0;
    margin-bottom: -20px;
    width: 150px;
    background-color: #258446;
    color: white;
    font-size: 16px;
    background-color: #258446;
    font-size: 16px;
    cursor: pointer;
}
#moreDetail {
    display: flex;
    flex-direction: row;
    gap: 10px;
}
#descriDetail {
    margin-bottom: -20px;
    border: solid 2px black;
    margin-top: 30px;
    width: 420px;
    height: 340px;
    padding-left: 10px;
    padding-right: 10px;
}
#descriPDetail {
    font-family: "Roboto Slab", serif;
}
#descriH1Detail {
    text-align: center;
    font-family: "Roboto Slab", serif;
}
#infoDetail {
    margin-bottom: -20px;
    border: solid 2px black;
    margin-top: 30px;
    margin-left: -20px;
    width: 400px;
    height: 340px;
    padding-left: 10px;
    padding-right: 10px;
}
#infoH1Detail {
    text-align: center;
    font-family: "Roboto Slab", serif;
}
#infoDetail p {
    text-align: center;
    font-family: "Roboto Slab", serif;
    margin-bottom: -20px;
}
#popFinal {
    height: 100%;
    width: 100%;
    position: fixed;
    background-color: rgba(62, 62, 62, 0.62);
    top: 0%;
    left: 0%;
    right: 0%;
    display: none;
    user-select: none;
}
#divFinal {
    padding: 20px;
    background-color: white;
    height: 700px;
    width: 1000px;
    margin-top: 3%;
    margin-bottom: 10%;
    border: solid 8px #258446;
    border-radius: 10px;
}
#divFinal h1 {
    font-family: "Roboto Slab", serif;
}
#oneFinal {
    display: flex;
    flex-direction: row;
    gap: 15px;
    height: 600px;
}
#commandesFinal {
    display: flex;
    flex-direction: column;
    overflow-y: auto;
    border: solid 4px black;
    width: 340px;
}
#commandesFinal div {
    border: solid 2px black;
    padding: 5px;
}
#commandesFinal div img {
    height: 100px;
    object-fit: contain;
    border-radius: 10px;
    margin-bottom: -15px;
}
#commandesFinal div h2 {
    font-family: "Roboto Slab", serif;
}
#formFinal {
    border: solid 2px black;
    padding-top: 10px;
    width: 660px;
}
#backFinal {
    border: solid 5px black;
    border-radius: 50px;
    width: 35px;
    margin-left: -930px;
    margin-top: -5px;
    margin-bottom: -15px;
    cursor: pointer;
    font-family: arial !important;
}
#backFinal:hover {
    color: #258446;
    border: solid 5px #258446;
}
.inputFinal {
    width: 285px;
    margin-top: 15px;
    height: 35px;
    font-size: 16px;
    padding-left: 5px;
    border: solid 3px #258446;
}
#countryselectFinal {
    width: 600px;
    height: 42px;
}
#cityFinal {
    width: 587px;
}
#postalFinal {
    width: 587px;
}
#fondFinal {
    width: 600px;
    height: 42px;
}
#delaiFinal {
    width: 600px;
    height: 42px;
}
#questionFinal {
    resize: none;
    width: 587px;
    font-family: arial;
    font-weight: bold;
}
#finalbutton {
    height: 45px;
    font-size: 20px;
    background-color: #258446;
    cursor: pointer;
    color: white;
    font-weight: bold;
    border: solid 2px black;
    border-radius: 8px;
}
#finalbutton:hover {
    background-color: #39ad5f;
}
#popConnectAdmin {
    height: 100%;
    width: 100%;
    position: fixed;
    background-color: rgba(62, 62, 62, 0.62);
    top: 0%;
    left: 0%;
    right: 0%;
    display: none;
}
#popConnectAdmin div {
    padding: 20px;
    background-color: white;
    height: 400px;
    width: 1000px;
    margin-top: 3%;
    margin-bottom: 10%;
    border: solid 8px #258446;
    border-radius: 10px;
}
#popConnectAdmin div h1 {
    font-family: "Roboto Slab", serif;
    margin-top: -10px;
    user-select: none;
}
#backConnectAdmin {
    border: solid 5px black;
    border-radius: 50px;
    width: 35px;
    margin-left: -930px;
    margin-top: -5px;
    margin-bottom: -15px;
    cursor: pointer;
    font-family: arial !important;
    user-select: none;
}
#backConnectAdmin:hover {
    color: #258446;
    border: solid 5px #258446;
}
#connectAdminButton {
    height: 40px;
    font-size: 20px;
    background-color: #258446;
    cursor: pointer;
    color: white;
    font-weight: bold;
    border: solid 2px black;
    border-radius: 8px;
    margin-top: 30px;
}
#franchises {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 10px;
    border: solid 2px black;
    border-radius: 10px;
    padding: 10px;
    padding-left: 20px;
    user-select: none;
}
#franchises div {
    display: flex;
    flex-direction: column;
    height: 300px;
    width: 250px;
    border: solid 2px black;
    padding: 20px;
    background-color: #2582bc;
    margin-right: 10px;
    cursor: pointer;
}
#franchises div:hover {
    background-color: #319de0;
}
#franchises div img {
    border-radius: 10px;
    height: 150px;
    object-fit: contain;
}
#franchises h1 {
    font-family: "Roboto Slab", serif;
    font-size: auto;
    color: white;
}
#franchises p {
    font-family: arial;
    margin-top: -14px;
    color: white;
}
#descriEditFran {
    resize: none;
    width: 587px;
    font-family: arial;
    font-weight: bold;
    height: 80px;
}
#editFran {
    user-select: none;
}
#editSecteur {
    width: 600px;
    height: 42px;
}
#searchButton {
    height: 35px;
    width: 35px;
    display: none;
}
@keyframes back {
    from {
        transform: translateX(0);
    } to {
        transform: translateX(100px);
    }
}
@keyframes come {
    from {
        transform: translateX(0);
    } to {
        transform: translateX(-17px);
    }
}
@media (max-width: 768px) {
    #resultSearch div {
        width: 300px;
    }
}
#twoSection {
    margin-top: 3%;
    width: 100%;
    padding: 10px;
    background-color: #258446;
    padding-bottom: 25px;
    margin-left: -10px;
}
#twoSection h1 {
    color: white;
    font-family: "Roboto Slab", serif;
}
#twoSectionDiv {
    display: flex;
    flex-direction: row;
    gap: 10px;
    justify-content: flex-start;
    overflow-x: scroll !important;
    background-color: white;
    border-radius: 10px;
    width: max-content;
    padding: 15px;
    padding-right: 20px;
    justify-items: center;
    overflow-x: hidden;
}
#twoSectionDiv div {
    display: flex;
    flex-direction: column;
    height: 300px;
    width: 250px;
    border: solid 2px black;
    padding: 20px;
    background-color: #2582bc;
    cursor: pointer;
}
#twoSectionDiv div:hover {
    background-color: #319de0;
}
#twoSectionDiv h1 {
    font-family: "Roboto Slab", serif;
    font-size: auto;
    color: white;
}
#twoSectionDiv img {
    border-radius: 10px;
    height: 150px;
    object-fit: contain;
}
#twoSectionDiv p {
    font-family: arial;
    margin-top: -14px;
    color: white;
}
.divChoice {
    justify-items: center;
    align-items: center;
    display: flex !important;
    flex-direction: row !important;
    margin-left: -22px;
    padding: -50px !important;
    height: min-content;
}
.divChoice button {
    height: 63px;
    margin-top: -20px;
    margin-bottom: -20px;
    width: 350px !important;
    margin-left: -20px;
    margin-right: -20px;
    background-color: white;
    cursor: pointer;
    font-size: 16px;
    font-weight: bold;
}
.divChoice:hover {
    background-color: #2582bc !important;
}
#buttonDeux {
    width: 150px;
    margin-left: 20px;
    background-color: #258446;
    color: white;
    font-size: 16px;
}
@keyframes pub {
    from {
        transform: translateY(-1000px);
    } to {
        transform: translateY(0);
    }
}
#popLaPub1 {
    height: 100%;
    width: 100%;
    position: fixed;
    background-color: rgba(62, 62, 62, 0.62);
    top: 0%;
    left: 0%;
    right: 0%;
    display: none;
}
#popLaPub1Div {
    padding: 20px;
    background-color: white;
    height: 500px;
    width: 1000px;
    margin-top: 3%;
    margin-bottom: 10%;
    border: solid 8px #F15940;
    border-radius: 10px;
}
#popLaPub1Div img {
    height: 190px;
    object-fit: contain;
    border-radius: 10px;
}
#popLaPub1P {
    color: black;
    font-family: "Roboto Slab", serif;
    width: 700px;
}
#popLaPub1Choice {
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-top: 180px;
    gap: 10px;
}
#popLaPub1Add {
    height: 45px;
    font-size: 20px;
    background-color: #258446;
    cursor: pointer;
    color: white;
    font-weight: bold;
    border: solid 2px black;
    border-radius: 8px;
    padding-left: 20px;
    padding-right: 20px;
}
#popLaPub1Add:hover {
    background-color: #39ad5f;
}
#popLaPub1Go {
    height: 45px;
    font-size: 20px;
    background-color: #FFCC4F;
    cursor: pointer;
    color: white;
    font-weight: bold;
    border: solid 2px black;
    border-radius: 8px;
}
#popLaPub1Go:hover {
    background-color: #ddaa29;
}
#popLaPub1No {
    height: 45px;
    font-size: 20px;
    background-color: #F0563E;
    cursor: pointer;
    color: white;
    font-weight: bold;
    border: solid 2px black;
    border-radius: 8px;
}
#popLaPub1No:hover {
    background-color: #ef7360;
}